-- | (Undocumented class)
module Sound.SC3.UGen.Record.BFEncode1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BFEncode1 = BFEncode1 {
  input :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  gain :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
bFEncode1 :: BFEncode1
bFEncode1 = BFEncode1 {
  input = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  gain = 1.0,
  wComp = 0.0
  }
mkBFEncode1 :: BFEncode1 -> S.UGen
mkBFEncode1 (BFEncode1  a' b' c' d' e' f') = S.mkOsc S.AR "BFEncode1" [a',b',c',d',e',f'] 4
instance Make BFEncode1 where
  ugen = mkBFEncode1
