-- | Triggers when a value changes
module Sound.SC3.UGen.Record.Changed where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Changed = Changed {
  rate :: S.Rate,
  input :: S.UGen,
  threshold :: S.UGen
  } deriving (Show)
changed :: Changed
changed = Changed {
  rate = S.AR,
  input = 0.0,
  threshold = 0.0
  }
mkChanged :: Changed -> S.UGen
mkChanged (Changed r a' b') = S.mkOsc r "Changed" [a',b'] 1
instance Make Changed where
  ugen = mkChanged
