-- | (Undocumented class)
module Sound.SC3.UGen.Record.Crest where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Crest = Crest {
  input :: S.UGen,
  numsamps :: S.UGen,
  gate :: S.UGen
  } deriving (Show)
crest :: Crest
crest = Crest {
  input = 0.0,
  numsamps = 400.0,
  gate = 1.0
  }
mkCrest :: Crest -> S.UGen
mkCrest (Crest  a' b' c') = S.mkOsc S.KR "Crest" [a',b',c'] 1
instance Make Crest where
  ugen = mkCrest
