-- | Stream in audio from a file.
module Sound.SC3.UGen.Record.DiskIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DiskIn = DiskIn {
  bufnum :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
diskIn :: DiskIn
diskIn = DiskIn {
  bufnum = 0.0,
  loop = 0.0
  }
mkDiskIn :: DiskIn -> S.UGen
mkDiskIn (DiskIn  a' b') = S.mkOsc S.AR "DiskIn" [a',b'] undefined
instance Make DiskIn where
  ugen = mkDiskIn
