-- | Demand rate sequence generator.
module Sound.SC3.UGen.Record.Dser where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dser = Dser {
  list :: S.UGen,
  repeats :: S.UGen
  } deriving (Show)
dser :: Dser
dser = Dser {
  list = 0.0,
  repeats = 1.0
  }
mkDser :: Dser -> S.UGen
mkDser (Dser  a' b') = S.mkOsc S.DR "Dser" [a',b'] 1
instance Make Dser where
  ugen = mkDser
