-- | (Undocumented class)
module Sound.SC3.UGen.Record.GlitchBRF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GlitchBRF = GlitchBRF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
glitchBRF :: GlitchBRF
glitchBRF = GlitchBRF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkGlitchBRF :: GlitchBRF -> S.UGen
mkGlitchBRF (GlitchBRF r a' b' c') = S.mkOsc r "GlitchBRF" [a',b',c'] 1
instance Make GlitchBRF where
  ugen = mkGlitchBRF
