-- | Two zero fixed midcut.
module Sound.SC3.UGen.Record.HPZ2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HPZ2 = HPZ2 {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
hPZ2 :: HPZ2
hPZ2 = HPZ2 {
  rate = S.AR,
  input = 0.0
  }
mkHPZ2 :: HPZ2 -> S.UGen
mkHPZ2 (HPZ2 r a') = S.mkOsc r "HPZ2" [a'] 1
instance Make HPZ2 where
  ugen = mkHPZ2
