-- | (Undocumented class)
module Sound.SC3.UGen.Record.HenonTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HenonTrig = HenonTrig {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
henonTrig :: HenonTrig
henonTrig = HenonTrig {
  rate = S.AR,
  minfreq = 5.0,
  maxfreq = 10.0,
  a = 1.4,
  b = 0.3,
  x0 = 0.30501993062401,
  y0 = 0.20938865431933
  }
mkHenonTrig :: HenonTrig -> S.UGen
mkHenonTrig (HenonTrig r a' b' c' d' e' f') = S.mkOsc r "HenonTrig" [a',b',c',d',e',f'] 1
instance Make HenonTrig where
  ugen = mkHenonTrig
