-- | (Undocumented class)
module Sound.SC3.UGen.Record.InGrainBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InGrainBF = InGrainBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  input :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
inGrainBF :: InGrainBF
inGrainBF = InGrainBF {
  trigger = 0.0,
  dur = 1.0,
  input = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkInGrainBF :: InGrainBF -> S.UGen
mkInGrainBF (InGrainBF  a' b' c' d' e' f' g') = S.mkOsc S.AR "InGrainBF" [a',b',c',d',e',f',g'] 4
instance Make InGrainBF where
  ugen = mkInGrainBF
