-- | Clipped noise
module Sound.SC3.UGen.Record.LFClipNoise where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFClipNoise = LFClipNoise {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lfClipNoise :: LFClipNoise
lfClipNoise = LFClipNoise {
  rate = S.AR,
  freq = 500.0
  }
mkLFClipNoise :: LFClipNoise -> S.UGen
mkLFClipNoise (LFClipNoise r a') = S.mkOsc r "LFClipNoise" [a'] 1
instance Make LFClipNoise where
  ugen = mkLFClipNoise
