-- | Output most changed.
module Sound.SC3.UGen.Record.MostChange where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MostChange = MostChange {
  rate :: S.Rate,
  a :: S.UGen,
  b :: S.UGen
  } deriving (Show)
mostChange :: MostChange
mostChange = MostChange {
  rate = S.AR,
  a = 0.0,
  b = 0.0
  }
mkMostChange :: MostChange -> S.UGen
mkMostChange (MostChange r a' b') = S.mkOsc r "MostChange" [a',b'] 1
instance Make MostChange where
  ugen = mkMostChange
