-- | Cursor tracking UGen.
module Sound.SC3.UGen.Record.MouseX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MouseX = MouseX {
  minval :: S.UGen,
  maxval :: S.UGen,
  warp :: S.UGen,
  lag :: S.UGen
  } deriving (Show)
mouseX :: MouseX
mouseX = MouseX {
  minval = 0.0,
  maxval = 1.0,
  warp = 0.0,
  lag = 0.2
  }
mkMouseX :: MouseX -> S.UGen
mkMouseX (MouseX  a' b' c' d') = S.mkOsc S.KR "MouseX" [a',b',c',d'] 1
instance Make MouseX where
  ugen = mkMouseX
