-- | (Undocumented class)
module Sound.SC3.UGen.Record.NestedAllpassN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data NestedAllpassN = NestedAllpassN {
  input :: S.UGen,
  maxdelay1 :: S.UGen,
  delay1 :: S.UGen,
  gain1 :: S.UGen,
  maxdelay2 :: S.UGen,
  delay2 :: S.UGen,
  gain2 :: S.UGen
  } deriving (Show)
nestedAllpassN :: NestedAllpassN
nestedAllpassN = NestedAllpassN {
  input = 0.0,
  maxdelay1 = 0.036,
  delay1 = 0.036,
  gain1 = 0.08,
  maxdelay2 = 0.03,
  delay2 = 0.03,
  gain2 = 0.3
  }
mkNestedAllpassN :: NestedAllpassN -> S.UGen
mkNestedAllpassN (NestedAllpassN  a' b' c' d' e' f' g') = S.mkOsc S.AR "NestedAllpassN" [a',b',c',d',e',f',g'] 1
instance Make NestedAllpassN where
  ugen = mkNestedAllpassN
