-- | Crossfade in random bin order.
module Sound.SC3.UGen.Record.PV_RandWipe where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_RandWipe = PV_RandWipe {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  wipe :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
pv_RandWipe :: PV_RandWipe
pv_RandWipe = PV_RandWipe {
  bufferA = 0.0,
  bufferB = 0.0,
  wipe = 0.0,
  trig = 0.0
  }
mkPV_RandWipe :: PV_RandWipe -> S.UGen
mkPV_RandWipe (PV_RandWipe  a' b' c' d') = S.mkOsc S.KR "PV_RandWipe" [a',b',c',d'] 1
instance Make PV_RandWipe where
  ugen = mkPV_RandWipe
