-- | Make gaps in spectrum.
module Sound.SC3.UGen.Record.PV_RectComb2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_RectComb2 = PV_RectComb2 {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  numTeeth :: S.UGen,
  phase :: S.UGen,
  width :: S.UGen
  } deriving (Show)
pv_RectComb2 :: PV_RectComb2
pv_RectComb2 = PV_RectComb2 {
  bufferA = 0.0,
  bufferB = 0.0,
  numTeeth = 0.0,
  phase = 0.0,
  width = 0.5
  }
mkPV_RectComb2 :: PV_RectComb2 -> S.UGen
mkPV_RectComb2 (PV_RectComb2  a' b' c' d' e') = S.mkOsc S.KR "PV_RectComb2" [a',b',c',d',e'] 1
instance Make PV_RectComb2 where
  ugen = mkPV_RectComb2
