-- | 2D Ambisonic B-format panner.
module Sound.SC3.UGen.Record.PanB2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PanB2 = PanB2 {
  rate :: S.Rate,
  input :: S.UGen,
  azimuth :: S.UGen,
  gain :: S.UGen
  } deriving (Show)
panB2 :: PanB2
panB2 = PanB2 {
  rate = S.AR,
  input = 0.0,
  azimuth = 0.0,
  gain = 1.0
  }
mkPanB2 :: PanB2 -> S.UGen
mkPanB2 (PanB2 r a' b' c') = S.mkOsc r "PanB2" [a',b',c'] 3
instance Make PanB2 where
  ugen = mkPanB2
