-- | (Undocumented class)
module Sound.SC3.UGen.Record.SOMRd where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SOMRd = SOMRd {
  rate :: S.Rate,
  bufnum :: S.UGen,
  inputdata :: S.UGen,
  netsize :: S.UGen,
  numdims :: S.UGen,
  gate :: S.UGen
  } deriving (Show)
sOMRd :: SOMRd
sOMRd = SOMRd {
  rate = S.AR,
  bufnum = 0.0,
  inputdata = 0.0,
  netsize = 10.0,
  numdims = 2.0,
  gate = 1.0
  }
mkSOMRd :: SOMRd -> S.UGen
mkSOMRd (SOMRd r a' b' c' d' e') = S.mkOsc r "SOMRd" [a',b',c',d',e'] 1
instance Make SOMRd where
  ugen = mkSOMRd
