-- | (Undocumented class)
module Sound.SC3.UGen.Record.SOMTrain where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SOMTrain = SOMTrain {
  bufnum :: S.UGen,
  inputdata :: S.UGen,
  netsize :: S.UGen,
  numdims :: S.UGen,
  traindur :: S.UGen,
  nhood :: S.UGen,
  gate :: S.UGen,
  initweight :: S.UGen
  } deriving (Show)
sOMTrain :: SOMTrain
sOMTrain = SOMTrain {
  bufnum = 0.0,
  inputdata = 0.0,
  netsize = 10.0,
  numdims = 2.0,
  traindur = 5000.0,
  nhood = 0.5,
  gate = 1.0,
  initweight = 1.0
  }
mkSOMTrain :: SOMTrain -> S.UGen
mkSOMTrain (SOMTrain  a' b' c' d' e' f' g' h') = S.mkOsc S.KR "SOMTrain" [a',b',c',d',e',f',g',h'] 3
instance Make SOMTrain where
  ugen = mkSOMTrain
