-- | (Undocumented class)
module Sound.SC3.UGen.Record.SinGrainBBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SinGrainBBF = SinGrainBBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  freq :: S.UGen,
  envbuf :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
sinGrainBBF :: SinGrainBBF
sinGrainBBF = SinGrainBBF {
  trigger = 0.0,
  dur = 1.0,
  freq = 440.0,
  envbuf = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkSinGrainBBF :: SinGrainBBF -> S.UGen
mkSinGrainBBF (SinGrainBBF  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "SinGrainBBF" [a',b',c',d',e',f',g',h'] 4
instance Make SinGrainBBF where
  ugen = mkSinGrainBBF
