-- | Slope of signal
module Sound.SC3.UGen.Record.Slope where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Slope = Slope {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
slope :: Slope
slope = Slope {
  rate = S.AR,
  input = 0.0
  }
mkSlope :: Slope -> S.UGen
mkSlope (Slope r a') = S.mkOsc r "Slope" [a'] 1
instance Make Slope where
  ugen = mkSlope
