-- | (Undocumented class)
module Sound.SC3.UGen.Record.Standard2DN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Standard2DN = Standard2DN {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  k :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
standard2DN :: Standard2DN
standard2DN = Standard2DN {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  k = 1.4,
  x0 = 4.9789799812499,
  y0 = 5.7473416156381
  }
mkStandard2DN :: Standard2DN -> S.UGen
mkStandard2DN (Standard2DN r a' b' c' d' e') = S.mkOsc r "Standard2DN" [a',b',c',d',e'] 1
instance Make Standard2DN where
  ugen = mkStandard2DN
