-- | (Undocumented class)
module Sound.SC3.UGen.Record.StkShakers where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkShakers = StkShakers {
  rate :: S.Rate,
  instr :: S.UGen,
  energy :: S.UGen,
  decay :: S.UGen,
  objects :: S.UGen,
  resfreq :: S.UGen
  } deriving (Show)
stkShakers :: StkShakers
stkShakers = StkShakers {
  rate = S.AR,
  instr = 0.0,
  energy = 64.0,
  decay = 64.0,
  objects = 64.0,
  resfreq = 64.0
  }
mkStkShakers :: StkShakers -> S.UGen
mkStkShakers (StkShakers r a' b' c' d' e') = S.mkOsc r "StkShakers" [a',b',c',d',e'] 1
instance Make StkShakers where
  ugen = mkStkShakers
