-- | (Undocumented class)
module Sound.SC3.UGen.Record.WeaklyNonlinear2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WeaklyNonlinear2 = WeaklyNonlinear2 {
  input :: S.UGen,
  reset :: S.UGen,
  ratex :: S.UGen,
  ratey :: S.UGen,
  freq :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen,
  alpha :: S.UGen,
  xexponent :: S.UGen,
  beta :: S.UGen,
  yexponent :: S.UGen
  } deriving (Show)
weaklyNonlinear2 :: WeaklyNonlinear2
weaklyNonlinear2 = WeaklyNonlinear2 {
  input = 0.0,
  reset = 0.0,
  ratex = 1.0,
  ratey = 1.0,
  freq = 440.0,
  initx = 0.0,
  inity = 0.0,
  alpha = 0.0,
  xexponent = 0.0,
  beta = 0.0,
  yexponent = 0.0
  }
mkWeaklyNonlinear2 :: WeaklyNonlinear2 -> S.UGen
mkWeaklyNonlinear2 (WeaklyNonlinear2  a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc S.AR "WeaklyNonlinear2" [a',b',c',d',e',f',g',h',i',j',k'] 1
instance Make WeaklyNonlinear2 where
  ugen = mkWeaklyNonlinear2
