-- | (Undocumented class)
module Sound.SC3.UGen.Record.WrapSummer where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WrapSummer = WrapSummer {
  rate :: S.Rate,
  trig :: S.UGen,
  step :: S.UGen,
  min_ :: S.UGen,
  max_ :: S.UGen,
  reset :: S.UGen,
  resetval :: S.UGen
  } deriving (Show)
wrapSummer :: WrapSummer
wrapSummer = WrapSummer {
  rate = S.AR,
  trig = 0.0,
  step = 1.0,
  min_ = 0.0,
  max_ = 1.0,
  reset = 0.0,
  resetval = 0.0
  }
mkWrapSummer :: WrapSummer -> S.UGen
mkWrapSummer (WrapSummer r a' b' c' d' e' f') = S.mkOsc r "WrapSummer" [a',b',c',d',e',f'] 1
instance Make WrapSummer where
  ugen = mkWrapSummer
