-- | (Undocumented class)
module Sound.SC3.UGen.Record.Atari2600 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Atari2600 = Atari2600 {
  audc0 :: S.UGen,
  audc1 :: S.UGen,
  audf0 :: S.UGen,
  audf1 :: S.UGen,
  audv0 :: S.UGen,
  audv1 :: S.UGen,
  rate_ :: S.UGen
  } deriving (Show)
atari2600 :: Atari2600
atari2600 = Atari2600 {
  audc0 = 1.0,
  audc1 = 2.0,
  audf0 = 3.0,
  audf1 = 4.0,
  audv0 = 5.0,
  audv1 = 5.0,
  rate_ = 1.0
  }
mkAtari2600 :: Atari2600 -> S.UGen
mkAtari2600 (Atari2600  a' b' c' d' e' f' g') = S.mkOsc S.AR "Atari2600" [a',b',c',d',e',f',g'] 1
instance Make Atari2600 where
  ugen = mkAtari2600
