-- | (Undocumented class)
module Sound.SC3.UGen.Record.Brusselator where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Brusselator = Brusselator {
  reset :: S.UGen,
  rate_ :: S.UGen,
  mu :: S.UGen,
  gamma :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen
  } deriving (Show)
brusselator :: Brusselator
brusselator = Brusselator {
  reset = 0.0,
  rate_ = 0.01,
  mu = 1.0,
  gamma = 1.0,
  initx = 0.5,
  inity = 0.5
  }
mkBrusselator :: Brusselator -> S.UGen
mkBrusselator (Brusselator  a' b' c' d' e' f') = S.mkOsc S.AR "Brusselator" [a',b',c',d',e',f'] 2
instance Make Brusselator where
  ugen = mkBrusselator
