-- | Current number of channels of soundfile in buffer.
module Sound.SC3.UGen.Record.BufChannels where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufChannels = BufChannels {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufChannels :: BufChannels
bufChannels = BufChannels {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufChannels :: BufChannels -> S.UGen
mkBufChannels (BufChannels r a') = S.mkOsc r "BufChannels" [a'] 1
instance Make BufChannels where
  ugen = mkBufChannels
