-- | Buffer rate scaling in respect to server samplerate.
module Sound.SC3.UGen.Record.BufRateScale where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufRateScale = BufRateScale {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufRateScale :: BufRateScale
bufRateScale = BufRateScale {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufRateScale :: BufRateScale -> S.UGen
mkBufRateScale (BufRateScale r a') = S.mkOsc r "BufRateScale" [a'] 1
instance Make BufRateScale where
  ugen = mkBufRateScale
