-- | Test for infinity, not-a-number, and denormals
module Sound.SC3.UGen.Record.CheckBadValues where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CheckBadValues = CheckBadValues {
  rate :: S.Rate,
  input :: S.UGen,
  id_ :: S.UGen,
  post :: S.UGen
  } deriving (Show)
checkBadValues :: CheckBadValues
checkBadValues = CheckBadValues {
  rate = S.AR,
  input = 0.0,
  id_ = 0.0,
  post = 2.0
  }
mkCheckBadValues :: CheckBadValues -> S.UGen
mkCheckBadValues (CheckBadValues r a' b' c') = S.mkOsc r "CheckBadValues" [a',b',c'] 1
instance Make CheckBadValues where
  ugen = mkCheckBadValues
