-- | Record to a soundfile to disk.
module Sound.SC3.UGen.Record.DiskOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DiskOut = DiskOut {
  bufnum :: S.UGen,
  input :: S.UGen
  } deriving (Show)
diskOut :: DiskOut
diskOut = DiskOut {
  bufnum = 0.0,
  input = 0.0
  }
mkDiskOut :: DiskOut -> S.UGen
mkDiskOut (DiskOut  a' b') = S.mkOsc S.AR "DiskOut" [a',b'] 1
instance Make DiskOut where
  ugen = mkDiskOut
