-- | (Undocumented class)
module Sound.SC3.UGen.Record.FMGrainBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMGrainBF = FMGrainBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  carfreq :: S.UGen,
  modfreq :: S.UGen,
  index :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
fMGrainBF :: FMGrainBF
fMGrainBF = FMGrainBF {
  trigger = 0.0,
  dur = 1.0,
  carfreq = 440.0,
  modfreq = 200.0,
  index = 1.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkFMGrainBF :: FMGrainBF -> S.UGen
mkFMGrainBF (FMGrainBF  a' b' c' d' e' f' g' h' i') = S.mkOsc S.AR "FMGrainBF" [a',b',c',d',e',f',g',h',i'] 4
instance Make FMGrainBF where
  ugen = mkFMGrainBF
