-- | A two-channel reverb
module Sound.SC3.UGen.Record.FreeVerb2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FreeVerb2 = FreeVerb2 {
  input :: S.UGen,
  in2 :: S.UGen,
  mix :: S.UGen,
  room :: S.UGen,
  damp :: S.UGen
  } deriving (Show)
freeVerb2 :: FreeVerb2
freeVerb2 = FreeVerb2 {
  input = 0.0,
  in2 = 0.0,
  mix = 0.33,
  room = 0.5,
  damp = 0.5
  }
mkFreeVerb2 :: FreeVerb2 -> S.UGen
mkFreeVerb2 (FreeVerb2  a' b' c' d' e') = S.mkOsc S.AR "FreeVerb2" [a',b',c',d',e'] 2
instance Make FreeVerb2 where
  ugen = mkFreeVerb2
