-- | (Undocumented class)
module Sound.SC3.UGen.Record.Friction where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Friction = Friction {
  rate :: S.Rate,
  input :: S.UGen,
  friction_ :: S.UGen,
  spring :: S.UGen,
  damp :: S.UGen,
  mass :: S.UGen,
  beltmass :: S.UGen
  } deriving (Show)
friction :: Friction
friction = Friction {
  rate = S.AR,
  input = 0.0,
  friction_ = 0.5,
  spring = 0.414,
  damp = 0.313,
  mass = 0.1,
  beltmass = 1.0
  }
mkFriction :: Friction -> S.UGen
mkFriction (Friction r a' b' c' d' e' f') = S.mkOsc r "Friction" [a',b',c',d',e',f'] 1
instance Make Friction where
  ugen = mkFriction
