-- | (Undocumented class)
module Sound.SC3.UGen.Record.Henon2DL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Henon2DL = Henon2DL {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
henon2DL :: Henon2DL
henon2DL = Henon2DL {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  a = 1.4,
  b = 0.3,
  x0 = 0.30501993062401,
  y0 = 0.20938865431933
  }
mkHenon2DL :: Henon2DL -> S.UGen
mkHenon2DL (Henon2DL r a' b' c' d' e' f') = S.mkOsc r "Henon2DL" [a',b',c',d',e',f'] 1
instance Make Henon2DL where
  ugen = mkHenon2DL
