-- | (Undocumented class)
module Sound.SC3.UGen.Record.Henon2DN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Henon2DN = Henon2DN {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
henon2DN :: Henon2DN
henon2DN = Henon2DN {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  a = 1.4,
  b = 0.3,
  x0 = 0.30501993062401,
  y0 = 0.20938865431933
  }
mkHenon2DN :: Henon2DN -> S.UGen
mkHenon2DN (Henon2DN r a' b' c' d' e' f') = S.mkOsc r "Henon2DN" [a',b',c',d',e',f'] 1
instance Make Henon2DN where
  ugen = mkHenon2DN
