-- | Read signal from a bus with a current or one cycle old timestamp.
module Sound.SC3.UGen.Record.InFeedback where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InFeedback = InFeedback {
  bus :: S.UGen
  } deriving (Show)
inFeedback :: InFeedback
inFeedback = InFeedback {
  bus = 0.0
  }
mkInFeedback :: InFeedback -> S.UGen
mkInFeedback (InFeedback  a') = S.mkOsc S.AR "InFeedback" [a'] undefined
instance Make InFeedback where
  ugen = mkInFeedback
