-- | Test if a point is within a given rectangle.
module Sound.SC3.UGen.Record.InRect where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InRect = InRect {
  rate :: S.Rate,
  x :: S.UGen,
  y :: S.UGen,
  rect :: S.UGen
  } deriving (Show)
inRect :: InRect
inRect = InRect {
  rate = S.AR,
  x = 0.0,
  y = 0.0,
  rect = 0.0
  }
mkInRect :: InRect -> S.UGen
mkInRect (InRect r a' b' c') = S.mkOsc r "InRect" [a',b',c'] 1
instance Make InRect where
  ugen = mkInRect
