-- | Dynamic clipped noise
module Sound.SC3.UGen.Record.LFDClipNoise where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFDClipNoise = LFDClipNoise {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lfDClipNoise :: LFDClipNoise
lfDClipNoise = LFDClipNoise {
  rate = S.AR,
  freq = 500.0
  }
mkLFDClipNoise :: LFDClipNoise -> S.UGen
mkLFDClipNoise (LFDClipNoise r a') = S.mkOsc r "LFDClipNoise" [a'] 1
instance Make LFDClipNoise where
  ugen = mkLFDClipNoise
