-- | Two point average filter
module Sound.SC3.UGen.Record.LPZ1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LPZ1 = LPZ1 {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
lPZ1 :: LPZ1
lPZ1 = LPZ1 {
  rate = S.AR,
  input = 0.0
  }
mkLPZ1 :: LPZ1 -> S.UGen
mkLPZ1 (LPZ1 r a') = S.mkOsc r "LPZ1" [a'] 1
instance Make LPZ1 where
  ugen = mkLPZ1
