-- | Complex addition.
module Sound.SC3.UGen.Record.PV_Add where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Add = PV_Add {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pv_Add :: PV_Add
pv_Add = PV_Add {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_Add :: PV_Add -> S.UGen
mkPV_Add (PV_Add  a' b') = S.mkOsc S.KR "PV_Add" [a',b'] 1
instance Make PV_Add where
  ugen = mkPV_Add
