-- | Zero bins.
module Sound.SC3.UGen.Record.PV_BrickWall where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_BrickWall = PV_BrickWall {
  buffer :: S.UGen,
  wipe :: S.UGen
  } deriving (Show)
pv_BrickWall :: PV_BrickWall
pv_BrickWall = PV_BrickWall {
  buffer = 0.0,
  wipe = 0.0
  }
mkPV_BrickWall :: PV_BrickWall -> S.UGen
mkPV_BrickWall (PV_BrickWall  a' b') = S.mkOsc S.KR "PV_BrickWall" [a',b'] 1
instance Make PV_BrickWall where
  ugen = mkPV_BrickWall
