-- | Copy an FFT buffer
module Sound.SC3.UGen.Record.PV_Copy where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Copy = PV_Copy {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pv_Copy :: PV_Copy
pv_Copy = PV_Copy {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_Copy :: PV_Copy -> S.UGen
mkPV_Copy (PV_Copy  a' b') = S.mkOsc S.KR "PV_Copy" [a',b'] 1
instance Make PV_Copy where
  ugen = mkPV_Copy
