-- | Complex multiply.
module Sound.SC3.UGen.Record.PV_Mul where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Mul = PV_Mul {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pv_Mul :: PV_Mul
pv_Mul = PV_Mul {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_Mul :: PV_Mul -> S.UGen
mkPV_Mul (PV_Mul  a' b') = S.mkOsc S.KR "PV_Mul" [a',b'] 1
instance Make PV_Mul where
  ugen = mkPV_Mul
