-- | Pass random bins.
module Sound.SC3.UGen.Record.PV_RandComb where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_RandComb = PV_RandComb {
  buffer :: S.UGen,
  wipe :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
pv_RandComb :: PV_RandComb
pv_RandComb = PV_RandComb {
  buffer = 0.0,
  wipe = 0.0,
  trig = 0.0
  }
mkPV_RandComb :: PV_RandComb -> S.UGen
mkPV_RandComb (PV_RandComb  a' b' c') = S.mkOsc S.KR "PV_RandComb" [a',b',c'] 1
instance Make PV_RandComb where
  ugen = mkPV_RandComb
