-- | Pure UGen
module Sound.SC3.UGen.Record.PureUGen where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PureUGen = PureUGen {
  maxSize :: S.UGen
  } deriving (Show)
pureUGen :: PureUGen
pureUGen = PureUGen {
  maxSize = 0.0
  }
mkPureUGen :: PureUGen -> S.UGen
mkPureUGen (PureUGen  a') = S.mkOsc S.AR "PureUGen" [a'] 1
instance Make PureUGen where
  ugen = mkPureUGen
