-- | Unpack a single value (magnitude or phase) from an FFT chain
module Sound.SC3.UGen.Record.Unpack1FFT where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Unpack1FFT = Unpack1FFT {
  chain :: S.UGen,
  bufsize :: S.UGen,
  binindex :: S.UGen,
  whichmeasure :: S.UGen
  } deriving (Show)
unpack1FFT :: Unpack1FFT
unpack1FFT = Unpack1FFT {
  chain = 0.0,
  bufsize = 0.0,
  binindex = 0.0,
  whichmeasure = 0.0
  }
mkUnpack1FFT :: Unpack1FFT -> S.UGen
mkUnpack1FFT (Unpack1FFT  a' b' c' d') = S.mkOsc S.DR "Unpack1FFT" [a',b',c',d'] 1
instance Make Unpack1FFT where
  ugen = mkUnpack1FFT
